Subject: RE: 3gpp-analysis-05: miscellaneous non-critical issues

From: "Karim El-Malki (HF/EAB)" <[email-masked]>
Date: Mon, 29 Sep 2003 17:49:14 +0200

> On Fri, 26 Sep 2003, Karim El-Malki (HF/EAB) wrote:
 > >  >  JW: 
 > >  >       => can we agree on Pekka's suggestion and just remove
 > >  >       "native" from Pekka's text?
 > > 
 > > Pekka's understanding was that we killed the "tunneled IPv6 part".
 > > I don't think that is what has been done in the document, 
 > since now it just
 > > specifies better when tunneling may be useful. Since we do 
 > talk about
 > > a case where tunnelling can be useful we should keep the 
 > sentence as is
 > > so that it mentions native and tunneled. It was written on 
 > purpose not
 > > to make it sound like it was only "native" that we were 
 > talking about
 > > by explicitly writing native or tunneled.
 > 
 > I'm not sure how you read that we're recommending tunneling 
 > (excerpt below
 > *).  That certainly isn't the intent.  Perhaps it needs to 
 > be reworded to
 > be more explicit.

It simply says "If the 3GPP network does not support IPv6 PDP contexts,
and an application on the UE needs to communicate with an IPv6(-only)
node, the UE may activate an IPv4 PDP context and encapsulate
IPv6 packets in IPv4 packets using a tunneling mechanism."
 
 > My point of removing "native or tunneled" is that because 
 > there should not 
 > be any (or close to any) tunneled connectivity (from the UE) 
 > in the first 
 > place, pointing it out here is irrelevant.

What leads you to this conclusion? Do you have practical experience
that leads you to this view? I have practical experience of this
tunneled service in real mobile networks that proves the opposite of what
you are saying. I can see that you are expressing a strong opinion but I
have not read and cannot see a reason for it from what I know about
IPv6 in mobile networks. There is always a starting point for the
introduction of IPv6 and we must consider this case.
/Karim

---

From: Pekka Savola <[email-masked]>
Date: Tue, 30 Sep 2003 16:38:02 +0300 (EEST)

> IPv6 packets in IPv4 packets using a tunneling mechanism."

Ok, let's see whether this needs handling on the current revision.

Maybe it needs further discouragement, or options how the UE could tackle 
the problem of no IPv6 support in the first network it tries.

> IPv6 in mobile networks.

I don't have a lot of experience in 3GPP networks (obviously), but 
discussing these issues with some folks who have (e.g. from Nokia), there 
seem to be a huge distinction on what you're saying and what others are 
saying.

> There is always a starting point for the

Introduction of IPv6 works fine in the operator's own network.  It works 
fine if the user is satisfied with only v4 when he goes abroad and the 
roaming partner doesn't support v6, etc.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings